Bug 230115 - devel/py-game: Renamed to devel/py-pygame, Adopted, and updated to 1.9.4
Summary: devel/py-game: Renamed to devel/py-pygame, Adopted, and updated to 1.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 210199
  Show dependency treegraph
 
Reported: 2018-07-28 15:42 UTC by Nathan
Modified: 2019-04-19 02:36 UTC (History)
3 users (show)

See Also:


Attachments
Update/Rename (1.95 KB, patch)
2018-07-28 15:42 UTC, Nathan
no flags Details | Diff
Updates ${PYGAME} ref (567 bytes, patch)
2018-07-28 15:43 UTC, Nathan
no flags Details | Diff
devel/Makefile update (389 bytes, patch)
2018-07-28 15:46 UTC, Nathan
no flags Details | Diff
ports/MOVED updated (497 bytes, patch)
2018-07-28 15:51 UTC, Nathan
no flags Details | Diff
Update/Rename/Adopt (2.17 KB, patch)
2018-07-28 17:43 UTC, Nathan
no flags Details | Diff
Update/Rename/Adopt (2.16 KB, patch)
2018-07-29 00:43 UTC, Nathan
no flags Details | Diff
games/childsplay: Updated to 3.3, fixes run issues (120.03 KB, patch)
2018-07-29 02:43 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-28 15:42:29 UTC
Created attachment 195539 [details]
Update/Rename
Comment 1 Nathan 2018-07-28 15:43:22 UTC
I've got to update a few ports that depends on py-pygame, to fix the naming in their ports. Will add blocks once I file the bugs to fix
Comment 2 Nathan 2018-07-28 15:43:53 UTC
Created attachment 195540 [details]
Updates ${PYGAME} ref
Comment 3 Nathan 2018-07-28 15:46:39 UTC
Created attachment 195541 [details]
devel/Makefile update
Comment 4 Nathan 2018-07-28 15:51:13 UTC
Created attachment 195542 [details]
ports/MOVED updated
Comment 5 Nathan 2018-07-28 17:43:53 UTC
Created attachment 195546 [details]
Update/Rename/Adopt
Comment 6 Yuri Victorovich freebsd_committer 2018-07-28 21:39:21 UTC
What is the reason of renaming it?
Comment 7 Nathan 2018-07-28 21:53:09 UTC
(In reply to Yuri Victorovich from comment #6)
> What is the reason of renaming it?

Per koobs@freebsd. He asked me to fix he naming since I was updating the port
Comment 8 Nathan 2018-07-29 00:43:46 UTC
Created attachment 195569 [details]
Update/Rename/Adopt

The way it was, kept causing rebuilds of py-pygame as dep; This patch fixes it
Comment 9 Nathan 2018-07-29 02:43:45 UTC
Created attachment 195571 [details]
games/childsplay: Updated to 3.3, fixes run issues
Comment 10 Yuri Victorovich freebsd_committer 2018-07-29 03:34:35 UTC
(In reply to Nathan from comment #9)

Nathan,

You need to update your ports tree because the patch is against the old version.

Also next time please create separate PRs for patches in unrelated ports. I will commit this one, no problem.

Thanks!
Yuri
Comment 11 Nathan 2018-07-29 03:37:14 UTC
(In reply to Yuri Victorovich from comment #10)
> (In reply to Nathan from comment #9)
> 
> Nathan,
> 
> You need to update your ports tree because the patch is against the old
> version.
> 
> Also next time please create separate PRs for patches in unrelated ports. I
> will commit this one, no problem.
> 
> Thanks!
> Yuri

Ok, I added it here, because someone when I did seperate PRs suggested to make a single large one lol, which the way I was doing it, I thought was more correct anyway
Comment 12 commit-hook freebsd_committer 2018-07-29 04:21:46 UTC
A commit references this bug:

Author: yuri
Date: Sun Jul 29 04:21:34 UTC 2018
New revision: 475625
URL: https://svnweb.freebsd.org/changeset/ports/475625

Log:
  games/childsplay: Update 2.6.5 -> 3.3

  Port changes:
  * Use DISTVERSION
  * Order USExx
  * Remove post-patch
  * Add NO_ARCH

  PR:		230115
  Submitted by:	Nathan <ndowens.fbsd@yandex.com>

Changes:
  head/games/childsplay/Makefile
  head/games/childsplay/distinfo
  head/games/childsplay/pkg-plist
Comment 13 Yuri Victorovich freebsd_committer 2018-08-04 22:53:40 UTC
Here a lot of ports need to be bumped. I need to retest all of them.
Comment 14 Nathan 2018-09-19 03:44:11 UTC
yuri, any status on this?
Comment 15 Yuri Victorovich freebsd_committer 2019-03-03 15:55:37 UTC
(In reply to Nathan from comment #14)

I'll look.
Comment 16 Yuri Victorovich freebsd_committer 2019-04-17 07:14:29 UTC
Update to 1.9.5 committed.

Thank you for taking maintainership!
Comment 17 commit-hook freebsd_committer 2019-04-17 07:14:34 UTC
A commit references this bug:

Author: yuri
Date: Wed Apr 17 07:14:23 UTC 2019
New revision: 499148
URL: https://svnweb.freebsd.org/changeset/ports/499148

Log:
  devel/py-game: Update 1.9.1 -> 1.9.5; ndowens.fbsd@yandex.com takes maintainership

  The PR also contained the rename py-game -> py-pygame. I didn't rename it, IMO it isn't
  urgent, and can be done later if really needed. There are quite a few ports that have a
  similar name mismatch (missing "py" in the name).

  PR:		230115
  Submitted by:	Nathan <ndowens@yahoo.com> (new maintainer)

Changes:
  head/devel/py-game/Makefile
  head/devel/py-game/distinfo
  head/devel/py-game/files/
  head/devel/py-game/pkg-descr
  head/devel/py-game/pkg-plist
Comment 18 commit-hook freebsd_committer 2019-04-19 02:36:54 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 19 02:36:45 UTC 2019
New revision: 499321
URL: https://svnweb.freebsd.org/changeset/ports/499321

Log:
  games/renpy6: unbreak after r499148

  build/temp.freebsd-11.2-RELEASE-amd64-2.7/core.o:(.bss+0x0): multiple definition of `PyGAME_C_API'
  build/temp.freebsd-11.2-RELEASE-amd64-2.7/gen/_renpy.o:(.bss+0x0): first defined here
  build/temp.freebsd-11.2-RELEASE-amd64-2.7/subpixel.o:(.bss+0x0): multiple definition of `PyGAME_C_API'
  build/temp.freebsd-11.2-RELEASE-amd64-2.7/gen/_renpy.o:(.bss+0x0): first defined here

  ImportError: /usr/local/lib/python2.7/site-packages/_renpy.so: Undefined symbol "RWopsFromPython"
  ImportError: /usr/local/lib/python2.7/site-packages/_renpy.so: Undefined symbol "RWopsFromPythonThreaded"
  ImportError: /usr/local/lib/python2.7/site-packages/_renpy.so: Undefined symbol "PySurface_AsSurface"

  PR:		230115
  Reported by:	pkg-fallout

Changes:
  head/games/renpy6/Makefile
  head/games/renpy6/files/patch-pygame-1.9.5